Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fourthline.cling.binding.annotations
Class AnnotationActionBinder

    java.lang.Object
      org.fourthline.cling.binding.annotations.AnnotationActionBinder

    public class AnnotationActionBinder

extends Object

Author:
  Christian Bauer

Field Summary
`protected UpnpAction` | `annotation`
`protected Method` | `method`
`protected Map<StateVariable,StateVariableAccessor>` | `stateVariables`
`protected Set<Class>` | `stringConvertibleTypes`

Constructor Summary
`AnnotationActionBinder(Method method, Map<StateVariable,StateVariableAccessor> stateVariables, Set<Class> stringConvertibleTypes)`

Method Summary
`Action` | `appendAction(Map<Action,ActionExecutor> actions)`
`protected ActionExecutor` | `createExecutor(Map<ActionArgument<LocalService>,StateVariableAccessor> outputArguments)`
`protected List<ActionArgument>` | `createInputArguments()`
`protected Map<ActionArgument<LocalService>,StateVariableAccessor>` | `createOutputArguments()`
`protected StateVariableAccessor` | `findOutputArgumentAccessor(StateVariable stateVariable, String getterName, boolean multipleArguments)`
`protected StateVariable` | `findRelatedStateVariable(String declaredName, String argumentName, String methodName)`
`UpnpAction` | `getAnnotation()`
`Method` | `getMethod()`
`protected StateVariable` | `getStateVariable(String name)`
`Map<StateVariable,StateVariableAccessor>` | `getStateVariables()`
`Set<Class>` | `getStringConvertibleTypes()`
`protected void` | `validateType(StateVariable stateVariable, Class type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### annotation

    protected UpnpAction annotation

### method

    protected Method method

### stateVariables

    protected Map<StateVariable,StateVariableAccessor> stateVariables

### stringConvertibleTypes

    protected Set<Class> stringConvertibleTypes

Constructor Detail

### AnnotationActionBinder

    public AnnotationActionBinder(Method method,
                                  Map<StateVariable,StateVariableAccessor> stateVariables,
                                  Set<Class> stringConvertibleTypes)

Method Detail

### getAnnotation

    public UpnpAction getAnnotation()

### getStateVariables

    public Map<StateVariable,StateVariableAccessor> getStateVariables()

### getMethod

    public Method getMethod()

### getStringConvertibleTypes

    public Set<Class> getStringConvertibleTypes()

### appendAction

    public Action appendAction(Map<Action,ActionExecutor> actions)
                        throws LocalServiceBindingException

  Throws:
    `LocalServiceBindingException`

### createExecutor

    protected ActionExecutor createExecutor(Map<ActionArgument<LocalService>,StateVariableAccessor> outputArguments)

### createInputArguments

    protected List<ActionArgument> createInputArguments()
                                                 throws LocalServiceBindingException

  Throws:
    `LocalServiceBindingException`

### createOutputArguments

    protected Map<ActionArgument<LocalService>,StateVariableAccessor> createOutputArguments()
                                                                                     throws LocalServiceBindingException

  Throws:
    `LocalServiceBindingException`

### findOutputArgumentAccessor

    protected StateVariableAccessor findOutputArgumentAccessor(StateVariable stateVariable,
                                                               String getterName,
                                                               boolean multipleArguments)
                                                        throws LocalServiceBindingException

  Throws:
    `LocalServiceBindingException`

### findRelatedStateVariable

    protected StateVariable findRelatedStateVariable(String declaredName,
                                                     String argumentName,
                                                     String methodName)
                                              throws LocalServiceBindingException

  Throws:
    `LocalServiceBindingException`

### validateType

    protected void validateType(StateVariable stateVariable,
                                Class type)
                         throws LocalServiceBindingException

  Throws:
    `LocalServiceBindingException`

### getStateVariable

    protected StateVariable getStateVariable(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.